[arch-commits] Commit in python-openstacksdk/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Nov 3 18:30:36 UTC 2020


    Date: Tuesday, November 3, 2020 @ 18:30:36
  Author: felixonmars
Revision: 741198

archrelease: copy trunk to community-any

Added:
  python-openstacksdk/repos/community-any/PKGBUILD
    (from rev 741197, python-openstacksdk/trunk/PKGBUILD)
Deleted:
  python-openstacksdk/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   94 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 47 insertions(+), 47 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-03 18:30:25 UTC (rev 741197)
+++ PKGBUILD	2020-11-03 18:30:36 UTC (rev 741198)
@@ -1,47 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgname=python-openstacksdk
-pkgver=0.50.0
-pkgrel=1
-pkgdesc="An SDK for building applications to work with OpenStack"
-arch=('any')
-url="https://developer.openstack.org/sdks/python/openstacksdk"
-license=('Apache')
-depends=('python-six' 'python-pbr' 'python-yaml' 'python-jsonpatch' 'python-appdirs'
-         'python-keystoneauth1' 'python-os-service-types' 'python-deprecation'
-         'python-requestsexceptions' 'python-decorator' 'python-jmespath' 'python-iso8601'
-         'python-netifaces' 'python-dogpile.cache' 'python-munch' 'python-cryptography')
-makedepends=('python-setuptools')
-checkdepends=('python-stestr' 'python-ddt' 'python-mock' 'python-requests-mock' 'python-oslotest'
-              'python-jsonschema' 'python-oslo-config' 'python-prometheus_client' 'python-hacking')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/openstacksdk/archive/$pkgver.tar.gz")
-sha512sums=('08dd3a9adde9a120207277ed7b90de999a8df842385db6012fdb61b3751445dd72741a76c9f0efcd4cc5aa9a99dc36d754701b33709eaa44ae8df3d27d85fdbe')
-
-export PBR_VERSION=$pkgver
-
-prepare() {
-  echo -e "\nglobal-include *.json" >> openstacksdk-$pkgver/MANIFEST.in
-  sed -i 's/assertItemsEqual/assertCountEqual/' openstacksdk-$pkgver/openstack/tests/unit/*.py openstacksdk-$pkgver/openstack/tests/unit/*/*.py
-}
-
-build() {
-  cd openstacksdk-$pkgver
-  python setup.py build
-}
-
-check() {
-  # From https://github.com/openstack/openstacksdk/blob/master/tox.ini
-  export OS_LOG_CAPTURE=true OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true
-
-  cd openstacksdk-$pkgver
-  # TODO
-  stestr run || :
-}
-
-package() {
-  cd openstacksdk-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-openstacksdk/repos/community-any/PKGBUILD (from rev 741197, python-openstacksdk/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-03 18:30:36 UTC (rev 741198)
@@ -0,0 +1,47 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-openstacksdk
+pkgver=0.51.0
+pkgrel=1
+pkgdesc="An SDK for building applications to work with OpenStack"
+arch=('any')
+url="https://developer.openstack.org/sdks/python/openstacksdk"
+license=('Apache')
+depends=('python-six' 'python-pbr' 'python-yaml' 'python-jsonpatch' 'python-appdirs'
+         'python-keystoneauth1' 'python-os-service-types' 'python-deprecation'
+         'python-requestsexceptions' 'python-decorator' 'python-jmespath' 'python-iso8601'
+         'python-netifaces' 'python-dogpile.cache' 'python-munch' 'python-cryptography')
+makedepends=('python-setuptools')
+checkdepends=('python-stestr' 'python-ddt' 'python-mock' 'python-requests-mock' 'python-oslotest'
+              'python-jsonschema' 'python-oslo-config' 'python-prometheus_client' 'python-hacking')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/openstacksdk/archive/$pkgver.tar.gz")
+sha512sums=('5e3191df63be98b12c068cefdaa4b13c37a3576cbf8a6dd85625ca23d69ae65d69033c45a1e1456c6e7d7a045e8cde94624c82054e753d132ec69ca5be4d1b99')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  echo -e "\nglobal-include *.json" >> openstacksdk-$pkgver/MANIFEST.in
+  sed -i 's/assertItemsEqual/assertCountEqual/' openstacksdk-$pkgver/openstack/tests/unit/*.py openstacksdk-$pkgver/openstack/tests/unit/*/*.py
+}
+
+build() {
+  cd openstacksdk-$pkgver
+  python setup.py build
+}
+
+check() {
+  # From https://github.com/openstack/openstacksdk/blob/master/tox.ini
+  export OS_LOG_CAPTURE=true OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true
+
+  cd openstacksdk-$pkgver
+  # TODO
+  stestr run || :
+}
+
+package() {
+  cd openstacksdk-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list